#include <cmath>
#include <iostream>
#include <iomanip>
#include <list>
using namespace std;

int main(){
    int N, L;
    cin >> N >> L;

    int H[N];

    for (int broj = 0; broj < N; broj++){
        cin >> H[broj];
    }

    for (int broj = 0; broj < N; broj++){
        if (H[broj] <= L){
            cout << (broj + 1) << endl;
            return 0;
        }
    }

    cout << -1 << endl;
    return 0;
}